# class RSS::Atom::Feed::Entry

Defines a child `Atom` `Entry` element of an `Atom` `Feed` element. It has the following attributes:

- author

- category

- categories

- content

- contributor

- id

- link

- published

- rights

- source

- summary

- title

- updated

Reference: validator.w3.org/feed/docs/rfc4287.html#element.entry

### Constants

Author

  `Feed::Author`

Category

  `Feed::Category`

Contributor

  `Feed::Contributor`

Id

  `Feed::Id`

Link

  `Feed::Link`

Rights

  `Feed::Rights`

Title

  `Feed::Title`

Updated

  `Feed::Updated`

### Public Instance Methods

have_author?(check_parent=true) click to toggle source

Returns whether any of the following are true:

- There are any authors in the feed

- If the parent element has an author and the `check_parent` parameter was given.

- There is a source element that has an author

    # File lib/rss/atom.rb, line 574
    def have_author?(check_parent=true)
      authors.any? {|author| !author.to_s.empty?} or
        (check_parent and @parent and @parent.have_author?) or
        (source and source.have_author?)
    end

### Private Instance Methods

atom_validate(ignore_unknown_element, tags, uri) click to toggle source

    # File lib/rss/atom.rb, line 581
    def atom_validate(ignore_unknown_element, tags, uri)
      unless have_author?
        raise MissingTagError.new("author", tag_name)
      end
      validate_duplicate_links(links)
    end

have_required_elements?() click to toggle source
Calls superclass method `RSS::Element#have_required_elements?`

    # File lib/rss/atom.rb, line 588
    def have_required_elements?
      super and have_author?
    end

maker_target(items) click to toggle source

    # File lib/rss/atom.rb, line 592
    def maker_target(items)
      if items.respond_to?("items")
        # For backward compatibility
        items = items.items
      end
      items.new_item
    end